MDB_STAT(1)

NAME
mdb_stat - LMDB environment status tool

SYNOPSIS
mdb_stat [-V] [-e] [-f[f[f]]] [-n] [-v] [-m module [-w password]] [-r[r]] [-a | -s subdb] envpath

DESCRIPTION
The mdb_stat utility displays the status of an LMDB environment.

OPTIONS

-V  Write the library version number to the standard output, and exit.

-e  Display information about the database environment.

-f  Display information about the environment freelist. If -ff is given, summarize each freelist entry. If -fff is given, display the full list of page IDs in the freelist.

-n  Display the status of an LMDB database which does not use subdirectories.

-v  Use the previous environment state instead of the latest state. This may be useful if the latest state has been corrupted.

-m module
    Load the specified dynamic module to utilize cryptographic functions. This is required to operate on environments that have been configured with page-level checksums or encryption.

-w password
    Specify the password for an encrypted environment. This is only used if a cryptography module has been loaded.

-r  Display information about the environment reader table. Shows the process ID, thread ID, and transaction ID for each active reader slot. The process ID and transaction ID are in decimal, the thread ID is in hexadecimal. The transaction ID is displayed as "-" if the reader does not currently have a read transaction open. If -rr is given, check for stale entries in the reader table and clear them. The reader table will be printed again after the check is performed.

-a  Display the status of all of the subdatabases in the environment.

-s subdb
    Display the status of a specific subdatabase.

DIAGNOSTICS
Exit status is zero if no errors occur. Errors result in a non-zero exit status and a diagnostic message being written to standard error.

SEE ALSO
mdb_copy(1)

AUTHOR
Howard Chu of Symas Corporation <http://www.symas.com>